Bug 20700

Summary: Update MARC21 leader/007/008 codes
Product: Koha Reporter: Bernardo Gonzalez Kriegel <bgkriegel>
Component: MARC Bibliographic data supportAssignee: Bernardo Gonzalez Kriegel <bgkriegel>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: fridolin.somers, jonathan.druart, martin.renvoize, nick
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Attachments: Bug 20700: MARC21 add/update leader/007/008 codes
Bug 20700: MARC21 add/update leader/007/008 codes
Bug 20700: MARC21 add/update leader/007/008 codes
Bug 20700: MARC21 add/update leader/007/008 codes (17.11.x version)

Description Bernardo Gonzalez Kriegel 2018-05-02 23:34:11 UTC
Some new/updated codes
Comment 1 Bernardo Gonzalez Kriegel 2018-05-02 23:36:55 UTC
Created attachment 74991 [details] [review]
Bug 20700: MARC21 add/update leader/007/008 codes

This add/updates some codes from updates 22 (Apr/16)
and 23 (Nov/16)

Update 22 https://www.loc.gov/marc/up22bibliographic/bdapndxg.html

Sound Recording 007/03 n (new)
Sound Recording 007/10 n (new)
Sound Recording 007/01 r (new)
Sound Recording 007/01 s (new)

Update 23 https://www.loc.gov/marc/up23bibliographic/bdapndxg.html

Leader/18 n (new)
Music 008/20 p (new), b (renamed)

To test:
1) Apply the patch
2) Clean your browser cache
3) Go to cataloguing -> new record
4) Leader plugin: check leader/18, new option 'n'
5) 007 Plugin:
a) Sound recording
	check 007/01 new 'r'
	check 007/03 new 'n'
	check 007/10 new 'n'
b) Electronic resource
	check 007/01 new 's'
6) 008 Plugin: Music, check 008/20 renamed 'b', new 'p'
Comment 2 Katrin Fischer 2018-05-03 21:52:41 UTC
Created attachment 75042 [details] [review]
Bug 20700: MARC21 add/update leader/007/008 codes

This add/updates some codes from updates 22 (Apr/16)
and 23 (Nov/16)

Update 22 https://www.loc.gov/marc/up22bibliographic/bdapndxg.html

Sound Recording 007/03 n (new)
Sound Recording 007/10 n (new)
Sound Recording 007/01 r (new)
Sound Recording 007/01 s (new)

Update 23 https://www.loc.gov/marc/up23bibliographic/bdapndxg.html

Leader/18 n (new)
Music 008/20 p (new), b (renamed)

To test:
1) Apply the patch
2) Clean your browser cache
3) Go to cataloguing -> new record
4) Leader plugin: check leader/18, new option 'n'
5) 007 Plugin:
a) Sound recording
	check 007/01 new 'r'
	check 007/03 new 'n'
	check 007/10 new 'n'
b) Electronic resource
	check 007/01 new 's'
6) 008 Plugin: Music, check 008/20 renamed 'b', new 'p'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Tomás Cohen Arazi 2018-05-04 19:27:59 UTC
Created attachment 75094 [details] [review]
Bug 20700: MARC21 add/update leader/007/008 codes

This add/updates some codes from updates 22 (Apr/16)
and 23 (Nov/16)

Update 22 https://www.loc.gov/marc/up22bibliographic/bdapndxg.html

Sound Recording 007/03 n (new)
Sound Recording 007/10 n (new)
Sound Recording 007/01 r (new)
Sound Recording 007/01 s (new)

Update 23 https://www.loc.gov/marc/up23bibliographic/bdapndxg.html

Leader/18 n (new)
Music 008/20 p (new), b (renamed)

To test:
1) Apply the patch
2) Clean your browser cache
3) Go to cataloguing -> new record
4) Leader plugin: check leader/18, new option 'n'
5) 007 Plugin:
a) Sound recording
	check 007/01 new 'r'
	check 007/03 new 'n'
	check 007/10 new 'n'
b) Electronic resource
	check 007/01 new 's'
6) 008 Plugin: Music, check 008/20 renamed 'b', new 'p'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2018-05-07 15:17:31 UTC
String changes, skipping for 18.05
Comment 5 Nick Clemens 2018-06-08 13:53:41 UTC
Pushed to master for 18.11, awesome work all!
Comment 6 Martin Renvoize 2018-06-11 09:19:02 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 7 Fridolin SOMERS 2018-06-14 13:37:39 UTC
Does not apply on 17.11..x because of koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/marc21_field_007.tt
I'm not comfortable with MARC21 so can you provide a rebase ?
Comment 8 Bernardo Gonzalez Kriegel 2018-06-14 14:56:34 UTC
Created attachment 76059 [details] [review]
Bug 20700: MARC21 add/update leader/007/008 codes (17.11.x version)

For Koha 17.11.x version

This add/updates some codes from updates 22 (Apr/16)
and 23 (Nov/16)

Update 22 https://www.loc.gov/marc/up22bibliographic/bdapndxg.html

Sound Recording 007/03 n (new)
Sound Recording 007/10 n (new)
Sound Recording 007/01 r (new)
Sound Recording 007/01 s (new)

Update 23 https://www.loc.gov/marc/up23bibliographic/bdapndxg.html

Leader/18 n (new)
Music 008/20 p (new), b (renamed)

To test:
1) Apply the patch
2) Clean your browser cache
3) Go to cataloguing -> new record
4) Leader plugin: check leader/18, new option 'n'
5) 007 Plugin:
a) Sound recording
	check 007/01 new 'r'
	check 007/03 new 'n'
	check 007/10 new 'n'
b) Electronic resource
	check 007/01 new 's'
6) 008 Plugin: Music, check 008/20 renamed 'b', new 'p'
Comment 9 Bernardo Gonzalez Kriegel 2018-06-14 14:59:23 UTC
(In reply to Fridolin SOMERS from comment #7)
> Does not apply on 17.11..x because of
> koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/
> marc21_field_007.tt
> I'm not comfortable with MARC21 so can you provide a rebase ?

Master has Bug 19823 applied, that's the reason.
Don't know if this needs it's own Sign/QA etc.
This new patch implements the same changes.
Comment 10 Fridolin SOMERS 2018-06-18 13:49:13 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #9)
> (In reply to Fridolin SOMERS from comment #7)
> > Does not apply on 17.11..x because of
> > koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/
> > marc21_field_007.tt
> > I'm not comfortable with MARC21 so can you provide a rebase ?
> 
> Master has Bug 19823 applied, that's the reason.
> Don't know if this needs it's own Sign/QA etc.
> This new patch implements the same changes.

No I dont think so.
Since its string freeze I will push to 17.11.x after 17.11.07 release.
Comment 11 Fridolin SOMERS 2018-07-04 16:11:32 UTC
Pushed to 17.11.x for 17.11.08

Thanks a lot Bernardo